// globals
import {
  mapURL,
  EVDataURL,
  width,
  mapWidth,
  plotWidth,
  height,
  margin_y,
  margin_x,
} from './globals.js';

import { toolTip, mapColorScaleSetUp } from './setup.js';

// data processing
export function normalizeCountyName(n) {
  return n.replaceAll(' ', '');
}

// data domain
export function getDataExtent(data, attr) {
  return d3.extent(d3.map(data, (r) => +r[attr]));
}

// circle colors
export function getCircleColor(type) {
  if (type == 'Urban') {
    return 'SteelBlue';
  }
  if (type == 'Rural') {
    return 'Tan';
  }
}

// tool tip functions
export function showtoolTip(
  event,
  name,
  population,
  evcount,
  RGDP,
  evcountpercapita,
) {
  toolTip
    .style('opacity', 1)
    .html(
      '<strong>' +
        name +
        '</strong>' +
        '<br><em>Population:</em> ' +
        population +
        '<br><em>RGDP Per Capita:</em> ' +
        RGDP +
        '<br><em>EV Count:</em> ' +
        evcount +
        '<br><em>EV Count Per Capita:</em> ' +
        evcountpercapita,
    )
    .style('z-index', 10)
    .style('left', event.layerX + 10 + 'px')
    .style('top', event.layerY + 'px');
}
export function hidetoolTip() {
  toolTip.style('opacity', 0).style('z-index', -1);
}

// x axis change
